ON_4fPoint Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_fpoint.h>`

## Public Member Functions

| ON_4fPoint ()
| ON_4fPoint (float x, float y, float z, float w)
| ON_4fPoint (const ON_2fPoint &)
| ON_4fPoint (const ON_3fPoint &)
| ON_4fPoint (const ON_2fVector &)
| ON_4fPoint (const ON_3fVector &)
| ON_4fPoint (const float *)
| ON_4fPoint (const ON_2dPoint &)
| ON_4fPoint (const ON_3dPoint &)
| ON_4fPoint (const ON_4dPoint &)
| ON_4fPoint (const ON_2dVector &)
| ON_4fPoint (const ON_3dVector &)
| ON_4fPoint (const double *)
| operator float * ()
| operator const float * () const
ON_4fPoint & | operator= (const ON_2fPoint &)
ON_4fPoint & | operator= (const ON_3fPoint &)
ON_4fPoint & | operator= (const ON_2fVector &)
ON_4fPoint & | operator= (const ON_3fVector &)
ON_4fPoint & | operator= (const float *)
ON_4fPoint & | operator= (const ON_2dPoint &)
ON_4fPoint & | operator= (const ON_3dPoint &)
ON_4fPoint & | operator= (const ON_4dPoint &)
ON_4fPoint & | operator= (const ON_2dVector &)
ON_4fPoint & | operator= (const ON_3dVector &)
ON_4fPoint & | operator= (const double *)
ON_4fPoint & | operator*= (float)
ON_4fPoint & | operator/= (float)
ON_4fPoint & | operator+= (const ON_4fPoint &)
ON_4fPoint & | operator-= (const ON_4fPoint &)
ON_4fPoint | operator* (float) const
ON_4fPoint | operator/ (float) const
ON_4fPoint | operator+ (const ON_4fPoint &) const
ON_4fPoint | operator- (const ON_4fPoint &) const
float | operator* (const ON_4fPoint &) const
bool | operator== (ON_4fPoint) const
bool | operator!= (const ON_4fPoint &) const
float & | operator[] (int)
float | operator[] (int) const
float & | operator[] (unsigned int)
float | operator[] (unsigned int) const
void | Set (float, float, float, float)
int | MaximumCoordinateIndex () const
double | MaximumCoordinate () const
void | Zero ()
bool | Normalize ()
void | Transform (const ON_Xform &)

## Public Attributes

float | x
float | y
float | z
float | w

## Detailed Description

Definition at line 310 of file opennurbs_fpoint.h.

## Constructor & Destructor Documentation

## ON_4fPoint() [1/13]

ON_4fPoint::ON_4fPoint | ( |  | ) |

## ON_4fPoint() [2/13]

ON_4fPoint::ON_4fPoint | ( | float | x,
|  | float | y,
|  | float | z,
|  | float | w
| ) |  |

## ON_4fPoint() [3/13]

ON_4fPoint::ON_4fPoint | ( | const ON_2fPoint & |  | ) |

## ON_4fPoint() [4/13]

ON_4fPoint::ON_4fPoint | ( | const ON_3fPoint & |  | ) |

## ON_4fPoint() [5/13]

ON_4fPoint::ON_4fPoint | ( | const ON_2fVector & |  | ) |

## ON_4fPoint() [6/13]

ON_4fPoint::ON_4fPoint | ( | const ON_3fVector & |  | ) |

## ON_4fPoint() [7/13]

ON_4fPoint::ON_4fPoint | ( | const float * |  | ) |

## ON_4fPoint() [8/13]

ON_4fPoint::ON_4fPoint | ( | const ON_2dPoint & |  | ) |

## ON_4fPoint() [9/13]

ON_4fPoint::ON_4fPoint | ( | const ON_3dPoint & |  | ) |

## ON_4fPoint() [10/13]

ON_4fPoint::ON_4fPoint | ( | const ON_4dPoint & |  | ) |

## ON_4fPoint() [11/13]

ON_4fPoint::ON_4fPoint | ( | const ON_2dVector & |  | ) |

## ON_4fPoint() [12/13]

ON_4fPoint::ON_4fPoint | ( | const ON_3dVector & |  | ) |

## ON_4fPoint() [13/13]

ON_4fPoint::ON_4fPoint | ( | const double * |  | ) |

## Member Function Documentation

## MaximumCoordinate()

double ON_4fPoint::MaximumCoordinate | ( |  | ) | const

## MaximumCoordinateIndex()

int ON_4fPoint::MaximumCoordinateIndex | ( |  | ) | const

## Normalize()

bool ON_4fPoint::Normalize | ( |  | ) |

## operator const float *()

ON_4fPoint::operator const float * | ( |  | ) | const

## operator float *()

ON_4fPoint::operator float * | ( |  | ) |

## operator!=()

bool ON_4fPoint::operator!= | ( | const ON_4fPoint & |  | ) | const

## operator*() [1/2]

float ON_4fPoint::operator* | ( | const ON_4fPoint & |  | ) | const

## operator*() [2/2]

ON_4fPoint ON_4fPoint::operator* | ( | float |  | ) | const

## operator*=()

ON_4fPoint& ON_4fPoint::operator*= | ( | float |  | ) |

## operator+()

ON_4fPoint ON_4fPoint::operator+ | ( | const ON_4fPoint & |  | ) | const

## operator+=()

ON_4fPoint& ON_4fPoint::operator+= | ( | const ON_4fPoint & |  | ) |

## operator-()

ON_4fPoint ON_4fPoint::operator- | ( | const ON_4fPoint & |  | ) | const

## operator-=()

ON_4fPoint& ON_4fPoint::operator-= | ( | const ON_4fPoint & |  | ) |

## operator/()

ON_4fPoint ON_4fPoint::operator/ | ( | float |  | ) | const

## operator/=()

ON_4fPoint& ON_4fPoint::operator/= | ( | float |  | ) |

## operator=() [1/11]

ON_4fPoint& ON_4fPoint::operator= | ( | const double * |  | ) |

## operator=() [2/11]

ON_4fPoint& ON_4fPoint::operator= | ( | const float * |  | ) |

## operator=() [3/11]

ON_4fPoint& ON_4fPoint::operator= | ( | const ON_2dPoint & |  | ) |

## operator=() [4/11]

ON_4fPoint& ON_4fPoint::operator= | ( | const ON_2dVector & |  | ) |

## operator=() [5/11]

ON_4fPoint& ON_4fPoint::operator= | ( | const ON_2fPoint & |  | ) |

## operator=() [6/11]

ON_4fPoint& ON_4fPoint::operator= | ( | const ON_2fVector & |  | ) |

## operator=() [7/11]

ON_4fPoint& ON_4fPoint::operator= | ( | const ON_3dPoint & |  | ) |

## operator=() [8/11]

ON_4fPoint& ON_4fPoint::operator= | ( | const ON_3dVector & |  | ) |

## operator=() [9/11]

ON_4fPoint& ON_4fPoint::operator= | ( | const ON_3fPoint & |  | ) |

## operator=() [10/11]

ON_4fPoint& ON_4fPoint::operator= | ( | const ON_3fVector & |  | ) |

## operator=() [11/11]

ON_4fPoint& ON_4fPoint::operator= | ( | const ON_4dPoint & |  | ) |

## operator==()

bool ON_4fPoint::operator== | ( | ON_4fPoint |  | ) | const

## operator[]() [1/4]

float& ON_4fPoint::operator[] | ( | int |  | ) |

## operator[]() [2/4]

float ON_4fPoint::operator[] | ( | int |  | ) | const

## operator[]() [3/4]

float& ON_4fPoint::operator[] | ( | unsigned int |  | ) |

## operator[]() [4/4]

float ON_4fPoint::operator[] | ( | unsigned int |  | ) | const

## Set()

void ON_4fPoint::Set | ( | float | ,
|  | float | ,
|  | float | ,
|  | float |
| ) |  |

## Transform()

void ON_4fPoint::Transform | ( | const ON_Xform & |  | ) |

## Zero()

void ON_4fPoint::Zero | ( |  | ) |

## Member Data Documentation

## w

float ON_4fPoint::w

Definition at line 313 of file opennurbs_fpoint.h.

## x

float ON_4fPoint::x

Definition at line 313 of file opennurbs_fpoint.h.

## y

float ON_4fPoint::y

Definition at line 313 of file opennurbs_fpoint.h.

## z

float ON_4fPoint::z

Definition at line 313 of file opennurbs_fpoint.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_fpoint.h